php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #62258 APC 3.1.10 claims to be APC 3.1.9
Submitted: 2012-06-08 06:05 UTC Modified: 2012-06-08 06:49 UTC
From: majk dot skoric at googlemail dot com Assigned:
Status: Wont fix Package: APC (PECL)
PHP Version: Irrelevant OS: irrelevant
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: majk dot skoric at googlemail dot com
New email:
PHP Version: OS:

 

 [2012-06-08 06:05 UTC] majk dot skoric at googlemail dot com
Description:
------------
see Summary

Test script:
---------------
foo@bar:~/install# pecl.php.net/get/APC-3.1.10.tgz
foo@bar:~/install# tar xvfz APC-3.1.10.tgz
foo@bar:~/install# grep -rn 3.1.9 .
./php_apc.h:38:#define PHP_APC_VERSION "3.1.9"


root@tfw-web-test:~/install# php -i | grep apc -A3 | grep Version
Version => 3.1.9



Patches

apc_62258.diff (last revision 2012-06-08 06:06 UTC by majk dot skoric at googlemail dot com)

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2012-06-08 06:07 UTC] majk dot skoric at googlemail dot com
first line in Test script should be 

foo@bar:~/install# wget pecl.php.net/get/APC-3.1.10.tgz
 [2012-06-08 06:49 UTC] philip@php.net
APC bug. Well, it cannot be fixed (without a time machine) but it does exist. 
php_apc.h within the 3.1.10 source includes this:

#define PHP_APC_VERSION "3.1.9"

It has since been updated to 3.1.11 in trunk, so this bug is kinda sorta fixed. 
Marking it as won't fix, though.
 [2012-06-08 06:49 UTC] philip@php.net
-Status: Open +Status: Wont fix -Type: Documentation Problem +Type: Bug
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Jan 18 03:01:23 2021 UTC